html {
    margin: 0;
    padding: 0;
    border: 0;
    scroll-behavior: smooth;
}

body {
    margin: 0px;
    padding: 0;
    border: 0;
    font-family: 'Istok Web', sans-serif;
    overflow-x: hidden;
    
}

/*Footer*/

footer {
    color: #107F5D;
    text-align: center;
    font-family: 'Istok Web', sans-serif;
    font-size: 2.5vh;
    font-style: normal;
    font-weight: 500;
    line-height: 70.462px;
    margin-top: 20vh;
    margin-bottom: 10vh;
}

footer a{
    color: #107F5D;
    text-align: center;
    font-family: 'Istok Web', sans-serif;
    font-size: 2.5vh;
    font-style: normal;
    font-weight: 500;
    line-height: 70.462px;
    margin-top: 20vh;
    margin-bottom: 10vh;
    text-decoration: none;
}

footer p {
    margin: 0;
    padding: 0;
    margin-block: 0;
    margin-inline: 0;
}

.fa-brands {
    font-size: 4vh;
    margin: 0px 30px 0 30px;
}

.creditos {
    font-size: 2vh;
    color: rgba(22, 183, 135, 0.30);
    font-weight: 700;
    line-height: normal;
}

.policy {
    font-size: 1.5vh;
    color: rgba(22, 183, 135, 0.30);
    font-weight: 700;
    line-height: normal;
}

.policy a{
    font-size: 1.5vh;
    color: rgba(22, 183, 135, 0.30);
    font-weight: 700;
    line-height: normal;
    text-decoration: none;
}

/*Fin Footer*/


/*Home*/
.margenes {
    margin: 0;
    padding: 0;
}

.navhome {
    position: absolute;
    z-index: 2;
    text-align: center;
    text-transform: uppercase;
    width: 100%;
    padding-top: 20px;
    font-style: normal;
    font-weight: 600;
    font-size: 2.5vh;
    border: none;

}

.navhome .container {
    display: flex;
    flex-direction: row;
    align-items: center;
    max-width: 1400px;
}

ul {
    list-style: none;
}

.navhome ul {
    flex-grow: 1;
    flex-direction: row;
    justify-content: flex-end;
}

.navhome ul li {
    position: relative;
    float:inline-end;

}

.navhome ul li a {
    display: block;
    padding: 0px 20px 0px 20px;
    color: #fff;
    text-decoration: none;
}

.navhome ul li a:hover {
    display: block;
    padding: 0px 20px 0px 20px;
    color: #2BFFBF;
    text-decoration: none;
    transition-duration: 0.5s;
    text-shadow: 1px 1px 1px rgba (0, 0, 0, 0.8);
    font-size: 2.6vh;

}


nav {
    z-index: 4;
    text-align: center;
    text-transform: uppercase;
    width: 100%;
    padding: 20px 0px 20px 0px;
    font-style: normal;
    font-weight: 600;
    font-size: 2.5vh;
    border-bottom: solid #2BFFBF;

}

nav .container {
    display: flex;
    flex-direction: row;
    align-items: center;
    max-width: 1400px;
}

ul {
    list-style: none;
}

nav ul {
    flex-grow: 1;
    flex-direction: row;
    justify-content: flex-end;
    display: block;
}




nav ul li {
    position: relative;
    float:inline-end;

}

nav ul li a {
    display: block;
    padding: 0px 20px 0px 20px;
    color: #2BFFBF;
    text-decoration: none;
}

nav ul li a:hover {
    display: block;
    padding: 0px 20px 0px 20px;
    color: #20D8A1;
    text-decoration: none;
    transition-duration: 0.5s;
    text-shadow: 1px 1px 1px rgba (0, 0, 0, 0.8);
    font-size: 2.6vh;

}
.navmol {
    padding: 15px;
    display: none;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    right: 20px;
}


.navmolhome {
    padding: 43px 15px 15px 15px;
    display: none;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    right: 20px;
}



.menu {
    flex-direction: column;
    align-items: center;
    position: fixed;
    justify-content: center;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    display: none;
    z-index: 1000;
    font-size: 4.5vh;
}

.menu a {
    padding: 15px;
    text-decoration: none;
    color: #2BFFBF;
    text-align: center;
    font-size: 4.5vh;
}

.menu a:hover {
    color: #20D8A1;
    text-decoration: none;
    transition-duration: 0.5s;
    text-shadow: 1px 1px 1px rgba (0, 0, 0, 0.8);
    font-size: 4.8vh;

}


.close-button {
    position: absolute;
    top: 10px;
    right: 20px;
    cursor: pointer;
    color: #2BFFBF;
    font-size: 4.5vh;
}

.close-button:hover {
    color: #20D8A1;
    text-decoration: none;
    transition-duration: 0.5s;
    text-shadow: 1px 1px 1px rgba (0, 0, 0, 0.8);
    font-size: 4.8vh;

}


.barproyects {
    display: block;
    width: 25px;
    height: 3px;
    background-color: #2BFFBF;
    margin: 5px 0;
}

.barhome {
    display: block;
    width: 25px;
    height: 3px;
    background-color: #fff;
    margin: 5px 0;
}


.menu-toggle {
    cursor: pointer;
    display: block;
}

.menu-toggle.active .bar:nth-child(1) {
    transform: rotate(-45deg) translate(-5px, 6px);
}

.menu-toggle.active .bar:nth-child(2) {
    opacity: 0;
}

.menu-toggle.active .bar:nth-child(3) {
    transform: rotate(45deg) translate(-5px, -6px);
}

.activatenav {
    color: #20D8A1;
}

.container {
    width: 100%;
    position: relative;
    height: auto;
    margin: 0 auto;
    
}

.homesection {
    height: 100vh;
    width: 100%;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    
}

.logo {
    width: 35.5vh;
    height: 46vh;
    background-image: url("../img/logo-blanco.svg");
    background-position: 0%;
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    z-index: 1;
    top: 11vh;
    opacity: 1;
    display: block;
}

.imghome {
    width: 100%;
    height: 68vh;
    margin: 0;
    padding: 0;
}

.banner {

    display: flex;
    justify-content: center;
    position: revert-layer;
    background-color: transparent;

}

.gridhome {
    display: grid;
    grid-gap: 0px 0px;
    grid-template-columns: repeat(6, 1fr);
    grid-auto-rows: 1fr;
}

.grid article {
    height: 100%;
    overflow: hidden;
    position: relative;
}

.trabajohome {
    border: 0;
    background-color: none;
}

.amplio {
    width: auto;
    color: rgba(22, 183, 135, 0); 
    font-size: 50px;
}

.amplio a{
    text-decoration: none;
    display: block;
    height: 100%;
}

.amplio > article {
    display: block;
    transition: all 0.5s;
    float: left;
    /*width: 34.71vh;*/
}

.amplio:hover article{
    /*width: 21.65vh;*/
    filter: brightness(50%);
}

.amplio > article:hover {
    width: 100vh;
    filter: brightness(100%);
}

.destacados:hover .logo{
    display:none;
}


article p {
    display: none;
}

.primero {
    background-image: url("../img/proyecto-1.png");
    background-position-x: 50%;
    background-size: cover;    
}

.primero:hover p {
    color: rgb(255, 255, 255); 
    font-size: 50px;
    display: block;
    transform: translate(0%,25vh);
}

.segundo {
    background-image: url("../img/proyecto-2.png");
    background-position-x: 50%;
    background-size: cover;
}

.segundo:hover p {
    color: rgb(255, 255, 255); 
    font-size: 50px;
    transition: .3s;
    display: block;
    transform: translate(0%,25vh);
}

.tercero {
    background-image: url("../img/proyecto-3.png");
    background-position-x: 50%;
    background-size: cover;
}

.tercero:hover p {
    color: rgb(255, 255, 255); 
    font-size: 50px;
    transition: .3s;
    display: block;
    transform: translate(0%,25vh);
}

.cuarto {
    background-image: url("../img/proyecto-4.png");
    background-position-x: 50%;
    background-size: cover;
}

.cuarto:hover p {
    color: rgb(255, 255, 255); 
    font-size: 50px;
    transition: .3s;
    display: block;
    transform: translate(0%,25vh);
}

.quinto {
    background-image: url("../img/proyecto-5.png");
    background-position-x: 50%;
    background-size: cover;
}

.quinto:hover p {
    color: rgb(255, 255, 255); 
    font-size: 50px;
    transition: .3s;
    display: block;
    transform: translate(0%,25vh);
}

.sexto {
    background-image: url("../img/proyecto-6.png");
    background-position-x: 50%;
    background-size: cover;
}

.sexto:hover p {
    color: rgb(255, 255, 255);  
    font-size: 50px;
    transition: .3s;
    display: block;
    transform: translate(0%,25vh);
}

.imghome img {
    width: 100%;
    height: 100%;
}

.row td {
    margin: 0;
    padding: 0;
}

.home {
    color: #000;
    font-family: 'Istok Web', sans-serif;
    font-size: 5.4vh;
    line-height: 6.6vh;
    text-align: center;
    font-style: normal;
    font-weight: 600; 
    display: block;     
}

.hometexto { 
    margin: 4vh 4vw 0px 4vw;
    
}

.home span{
    color: #000;
    text-align: center;
    font-family: 'Inter', sans-serif;
    font-size: 8vh;
    font-style: normal;
    font-weight: 900;
    line-height: 65.5px;   
}



.home p{
    padding: 0;
    margin-bottom: 0;
    margin-top: 0px;
}


@media all and  (max-width: 564px) {
    nav ul {
        display: none;
    }

    .navhome ul {
 
        display: block;
    }
    
    .navmol {
        display: flex;
    }
   
    .amplio:hover article {
        width: 0;
    }
    
    .amplio > article:hover {
        width:  100vw;
        filter: brightness(100%);
    }

    .logo {
        width: 27.5vh;
        height: 40vh;
        top: 16vh;
    }
}

@media all and  (max-width: 451px) {
    .navhome ul {
        display: none;
    }
    
    .navmolhome {
        display: flex;
    }
}

@media all and  (max-width: 400px) {

    
    .logo {
        width: 50vw;
        height: 35vh;
        top: 20vh;
    }

    .home {
        font-size: 4.3vh;
        line-height: 2.6vh;
    }

    .home span{
        font-size: 6vh; 
    }
    
    .amplio {
        line-height: 8vh;
    }
    
}

/*Fin Home*/


/*Projects*/

.minilogo {
    width: 100px;
    height: 55px;
    background-image: url("../img/logo.svg");
    background-position: 50%;
    background-repeat: no-repeat;
    margin-left: 20px;
}

.centrado {
    display: flex;
    justify-content: center;
    max-width: 1400px;
}

.projectsconten {
    padding-top: 100px;
    color: #000;
    font-family: 'Istok Web', sans-serif;
    font-size: 5.4vh;
    line-height: 6.6vh;
    text-align: center;
    font-style: normal;
    font-weight: 600; 
    display: block; 
    max-width: 1400px;
    margin: 0px 20px 0px 20px;
    width: 100%;
}

.projects {
    height: 42.5vh;
   
}

.projects a {
    text-decoration: none;
}

.textpro {
    width: 80%;
    height: 87%;
    background-color: none;
    color: transparent;
    text-decoration: none;
    padding: 6.5% 10%;
    text-align: left;
    font-family: 'Inter', sans-serif;
    font-weight:900;
    font-size: 5vh;
    line-height: 5.2vh;
}

.textpro:hover {
    transition-duration: 0.3s;
    background-color: rgba(43, 255, 191, 0.6);
    color: white;
}


.projects:hover {
    transition: all 0.3s;
    background-color: #20D8A1;
    background-image: none;
}

.gridproyect {
    display: grid;
    grid-gap: 40px 40px;
    grid-template-columns: repeat(4, 1fr);
    /*grid-template-columns: repeat(4, auto);*/
    grid-template-rows: 1fr;
    padding: 0;
    margin: 0;
} 


@media all and  (max-width: 1128px) {

    .gridproyect {
        
        grid-template-columns: repeat(4, 1fr);
    } 

    .projects {
        height: 45.9vh;       
    }
    
}


@media all and  (max-width: 1109px) {

    .gridproyect {
        
        grid-template-columns: repeat(4, 1fr);
    } 

    .projects {
        height: 37.3vh;       
    }
    
}

@media all and  (max-width: 934px) {

    .gridproyect {
        
        grid-template-columns: repeat(3, 1fr);
    } 

    .projects {
        height: 48.3vh;       
    }
    
}

@media all and  (max-width: 847px) {

    .gridproyect {
        
        grid-template-columns: repeat(3, 1fr);
    } 

    .projects {
        height: 43.3vh;       
    }
    
}

@media all and  (max-width: 800px) {

    .gridproyect {
        
        grid-template-columns: repeat(3, 1fr);
        grid-gap: 20px 20px;
    } 

    .projects {
        height: 43.3vh;       
    }
    
}

@media all and  (max-width: 761px) {

    .gridproyect {
        
        grid-template-columns: repeat(3, 1fr);
    } 

    .projects {
        height: 38vh;       
    }
    
}

@media all and  (max-width: 730px) {

    .gridproyect {
        
        grid-template-columns: repeat(3, 1fr);
    } 

    .projects {
        height: 36.3vh;       
    }
    
}

@media all and  (max-width: 753px) {

    .gridproyect {
        
        grid-template-columns: repeat(3, 1fr);
        grid-gap: 20px 20px;
    } 

    .projects {
        height: 35.5vh;       
    }
    
}

@media all and  (max-width: 733px) {

    .gridproyect {
        
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 40px 40px;
    } 

    .projects {
        height: 50.5vh;       
    }
    
}





@media all and  (max-width: 668px) {

    .projectsconten {
        
        padding-top: 60px;
        margin: 0px 30px 0px 30px;
    } 
    
    .gridproyect {
        
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 35px 35px;
    } 

    .projects {
        height: 51.6vh;       
    }
    
}

@media all and  (max-width: 565px) {

    .projectsconten {
        margin: 0px 35px 0px 35px;
    }

    .gridproyect {
        grid-template-columns: repeat(2, 1fr);
    } 

    .projects {
        height: 42vh;       
    }
    
}

@media all and  (max-width: 533px) {

    .gridproyect {
        grid-template-columns: repeat(2, 1fr);
    } 

    .projects {
        height: 38.1vh;       
    }
    
}

@media all and  (max-width: 459px) {

    .gridproyect {
        
        grid-template-columns: repeat(1, 1fr);
    } 

    .projects {
        height: 69.4vh;       
    }
    
}

@media all and  (max-width: 426px) {

    .gridproyect {
        
        grid-template-columns: repeat(1, 1fr);
    } 

    .projects {
        height: 62vh;       
    }
    
}

@media all and  (max-width: 376px) {

    .gridproyect {
        
        grid-template-columns: repeat(1, 1fr);
    } 

    .projects {
        height: 50vh;       
    }
    
}

@media all and  (max-width: 316px) {

    .gridproyect {
        
        grid-template-columns: repeat(1, 1fr);
    } 

    .projects {
        height: 40vh;       
    }
    
}

.navegacion {
    margin: 0;
    padding: 0;
    line-height: 0;
    font-size: 0;
}

/*Fin Projects*/

/*Contacto*/

.espaciocontacto {
    padding-top: 60px; 
}

.contacto {
    font-size: 4vh;
    font-weight: 400;
    padding-top: 30px !important ; 
    font-family: 'Istok Web', sans-serif;
    line-height: 8.6vh;
    text-align: center;
    font-style: normal;
    display: block;
    color: #16B787;
}

.contacto a {
    font-size: 4vh;
    font-weight: 400;
    font-family: 'Istok Web', sans-serif;
    line-height: 8.6vh;
    color: #16B787;
    text-decoration: none;
}

.contacto span{
    font-size: 4vh;
    font-weight: 400;
    font-family: 'Istok Web', sans-serif;
    line-height: 8.6vh;
    color: #000;
}


/*Fin Contacto*/

/*sobre mi*/

.gridsobremi {
    display: grid;
    grid-gap: 200px 95px;
    grid-template-columns: repeat(2, 1fr);
    grid-auto-rows: 1fr;
    padding: 0;
    margin: 0;
}

.sobremi {
    font-size: 4vh;
    font-weight: 400;
    font-family: 'Istok Web', sans-serif;
    line-height: 4.5vh;
    text-align: center;
    font-style: normal;
    display: block;
    color: #16B787;
    margin-left: 35px;
}

.massobremi {
    font-size: 3.1vh;
    font-weight: 400;
    font-family: 'Istok Web', sans-serif;
    line-height: 3.1vh;
    text-align: center;
    font-style: normal;
    display: block;
    color: #16B787;
    margin-right: 35px;
}

.massobremi a {
    font-size: 3.1vh;
    font-weight: 400;
    font-family: 'Istok Web', sans-serif;
    line-height: 3.1vh;
    color: #16B787;
    text-decoration: none;
}

.yo {
    height: 120vh;
    margin-bottom: 50px;
}

@media all and  (max-width: 451px) {

    .gridsobremi {
        display: block;
        grid-gap: 0;
        grid-template-columns: repeat(2, 1fr);
        grid-auto-rows: 1fr;
        padding: 0;
        margin: 0;
    }
    
    .sobremi {
        font-size: 4vh;
        line-height: 4.5vh;
        display: block;
        margin-right: 35px;
        margin-left: 35px;
    }
    
    .massobremi {
        font-size: 3.1vh;
        line-height: 3.1vh;
        display: block;
        margin-right: 35px;
        margin-left: 35px;
    }
}

/*Fin Sobre mi*/



 /* Flechas */

.fa-angle-down {
    color: #2BFFBF;
    font-size: 61px;
    margin-top: 20px;
    font-weight: 900;  
}

@keyframes moviendrew {
    0% {
      transform: translateY(-5px);
    }
    100% {
      transform: translateY(10px);
    }
  }

.arrowhome {
    margin-top: 3vh;
    height: 5vh;
    animation-name: moviendrew;
    animation-duration: 0.5s;
    animation-iteration-count: infinite;
	animation-direction: alternate;	
}

.arrowizq {
    height: 4.5vh;
    transform: rotate(90deg);
    flex-shrink: 0;

}

.arrowder {
    height: 4.5vh;
    transform: rotate(-90deg);
    flex-shrink: 0;
    
}

.botonarrowizq {
    height:min-content;
    width: min-content;
    background-color: rgba(255, 255, 255, 0.8);
    padding: 7vh 1.5vh 7vh 1vh;
    position: absolute;
    top: 40%;
}

.botonarrowder {
    height:min-content;
    width: min-content;
    background-color: rgba(255, 255, 255, 0.8);
    padding: 7vh 1vh 7vh 1.5vh;
    position: absolute;
    top: 40%;
    right: 0;
}




/*Proyectos*/
.margenpag {
    display: flex;
    max-width: 1400px;
    margin-top: 60px !important ; 
}


.imageproy {
    width: 100%;
    height: 85vh;
    padding: 0;
    background-position-x: 50%;
}

.lado {
    display: table;
}

.añotipo {
    margin-left: 20px;
    width: 40%;
    height: 100%;
    text-align: center;
    font-size: 4vh;
    font-weight: 400;
    font-family: 'Istok Web', sans-serif;
    line-height: 8vh;
    font-style: italic;
    display: block;
    color: #16B787;
    text-transform: uppercase;
    padding: 0;
    margin-top: 90px;
}

.añotipo div span {
    font-size: 6vh;
    font-weight: 700;
    font-style: normal;
    line-height: 4.5vh;
}

.descripcion {
    margin-right: 20px;
    width: 70%;
    height: 100%;
    text-align: left;
    font-size: 4vh;
    font-weight: 400;
    font-family: 'Istok Web', sans-serif;
    line-height: 4.5vh;
    font-style: normal;
    display: block;
    color: #16B787;
    padding: 0;
}

.descripcion p {
    text-align: left;
    font-size: 6vh;
    font-weight: 700;
    line-height: 6.9vh;
    margin-bottom: 2.7vh;
    text-transform: uppercase;
    margin-top: 2.8vh;
}


@media all and  (max-width: 998px) {

    .descripcion p {
        font-size: 6vh;
        font-weight: 700;
        line-height: 7vh;
        margin-bottom: 0vh;
        margin-top: 0;
    
    }
    
    .añotipo div span {
        font-size: 6vh;
        font-weight: 700;
        line-height: 12.5vh;
    }
    
    .añotipo {
        margin-left: 20px;
        width: 40%;
        height: 100%;
        font-size: 4vh;
        font-weight: 400;
        line-height: 5vh;
        padding: 0;
        margin-top: 90px;
    }
}

.imagenfin {
    position: relative;
    margin-top: 200px;
} 

.imagenfin img {
    height: 450px;
    margin: 0px 40px 0px 40px;
}


@media all and  (max-width: 426px) {

    .imagenfin {
        position: relative;
        margin-top: 200px;
        width: 100%;
    } 
   
    .imagenfin img {
        width: 100%;
        height: auto;
        margin: 0px 0vh 3vh 0px;
    }
    
}

.imagenfingrande {
    position: relative;
    margin-top: 200px;
    width: 100%;
}

.imagenfingrande img{
    width: 100%;
    height: auto;
    margin-bottom: 3vh;

}

@media all and  (max-width: 640px) {

    .descripcion {
        width: 100%;
        margin-right: 0px;
    }
    
    .descripcion p {
        font-size: 5vh;
        line-height: 7vh;
        margin-bottom: 3vh;
    }
    
    .añotipo div span {
        font-size: 5vh;
        line-height: 7.5vh;
    }
    
    .añotipo {
        margin-left: 0px;
        width: 100%;
        font-size: 3vh;
        font-weight: 400;
        line-height: 2vh;
        padding: 0;
        margin-top: 90px;
        margin-bottom: 35px;
    }
    
    .margenpag {
        display: block;
        width: auto;
        margin: 0px 30px 0px 30px;
    }

    .lado {
        display: block;
    }

}


/*Fin Proyectos*/



/* ESPACION LEGAL*/

.actualizacion {
    font-size: 3.1vh !important;
    font-weight: 400;
    font-family: 'Istok Web', sans-serif;
    line-height: 3.1vh;
    text-align: center;
    font-style:italic;
    display: block;
    color: #000;
    margin-top: 3vh;
}

.legaltexto { 
    margin-top: 4vh;
    
}

.legalspan{
    color: #000;
    text-align: center;
    font-family: 'Inter', sans-serif;
    font-size: 8vh;
    font-style: normal;
    font-weight: 900;
    line-height: 65.5px;   
}

.legal {
    color: #000;
    font-family: 'Istok Web', sans-serif;
    font-size: 5.4vh;
    line-height: 6.6vh;
    text-align: center;
    font-style: normal;
    font-weight: 600; 
    display: block;     
}

.legal p{
    padding: 0;
    margin-bottom: 0;
    margin-top: 0px;
}

.legal h2 {
    font-size: 4vh;
    font-weight: 800;
    font-family: 'Inter', sans-serif;
    line-height: 3.1vh;
    text-align: center;
    font-style: normal;
    display: block;
    color: #16B787;
    margin-top: 12vh;
    text-transform: uppercase;
}

.legaltexto ul{
    font-size: 3.1vh;
    font-weight: 400;
    font-family: 'Istok Web', sans-serif;
    line-height: 3.1vh;
    text-align: left;
    font-style: normal;
    display: block;
    color: #16B787;
    list-style: circle;
}
